//
//  AppConstant.swift
//  JobThai
//
//  Created by ForAlL on 1/14/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import UIKit
import DynamicColor

// ADS SETTING
let ADS_SIMULATION : Bool = false // true when run on simulation

let NAVIGATION_BAR_AND_STATUS_BAR_HEIGHT : CGFloat = 64
let DEFAULT_FRAME_HEIGHT : CGFloat = UIScreen.mainScreen().bounds.height - NAVIGATION_BAR_AND_STATUS_BAR_HEIGHT
let DEFAULT_FRAME_WIDTH : CGFloat = UIScreen.mainScreen().bounds.width
let DEFAULT_SCREEN_HEIGHT : CGFloat = UIScreen.mainScreen().bounds.height

let JTM_FINISHED_AUTO_LOG_IN = "JTMFinishedAutoLogIn"
let NOTI_FAVORITE_LIST_CHANGED = "JTMFavoriteListChanged"
let JTM_USER_JUST_APPLIED_JOB = "JTMUserJustAppliedJob"
let JTM_LOGIN_STATE_DID_CHANGE = "JTMLoginStateDidChanged"
let JTM_BACK_TO_HOME_VIEWCONTROLLER = "JTMBackToHomeViewController"
let JTM_HOME_VIEWCONTROLLER_IDENTIFIER = "JTMHomeViewController"
let JTM_TOKEN_TIME_OUT = "JTMTokenTimeOut"

let JTM_IS_REMEMBER_USER_KEY = "isRememberUser"
let JTM_SAVED_USERNAME_KEY = "savedUsername"
let JTM_SAVED_SESSION_KEY = "saveSessionId"
let JTM_SAVED_TOKEN_KEY = "savedToken"
let JTM_HOST_NAME = ""
let JTM_UNIQUE_ID_KEY = "uniqueID"
let ADS_USERDEFAULT_KEY = "ADS_USERDEFAULT_KEY"

let IPHONE_SMALL_WIDTH : CGFloat = 320

let HAS_SEEN_QUICK_GUIDE = "hasSeenQuickGuide"

// Setting
let SETTING_VIEW_PADDING : CGFloat = 25

// Observer
let OBSERVER_SHOW_DIM_BACKGROUND = "showDimBackground"
let OBSERVER_HIDE_DIM_BACKGROUND = "hideDimBackground"

// Text Field
let TEXT_FIELD_BORDER_COLOR : UIColor = UIColor(hexString: "CCCCCC")

// radius
let DEFAULT_NEAR_ME_RADIUS = 5000
let DEFAULT_TRANSPORTATION_RADIUS = 500

// dimension
let DEFAULT_SEARCH_BAR_HEIGHT:CGFloat = 44

// collectionView padding
let DEFAULT_CELL_MARGIN : CGFloat = 10
let DEFAULT_SEARCH_RESULT_CELL_MARGIN : CGFloat = 0
let DEFAULT_RESUME_CELL_MARGIN : CGFloat = 30

// contact
let THNKNET_TEL = "02-353-6999"

let APP_FB = "fb://profile/151966096191"
let URL_FB = "https://www.facebook.com/jobthai"

let APP_TWITTER = "twitter://user?screen_name=jobthai"
let URL_TWITTER = "https://twitter.com/jobthai"

let APP_LINKEDIN = "linkedin://company/jobthai-com"
let URL_LINKEDIN = "https://www.linkedin.com/company/jobthai-com"

let APP_INSTAGRAM = "instagram://user?username=jobthai_com"
let URL_INSTAGRAM = "https://www.instagram.com/jobthai_com/"

let APP_YOUTUBE = "youtube://www.youtube.com/user/JobThaiChannel"
let URL_YOUTUBE = "https://www.youtube.com/user/JobThaiChannel"

let APP_PINTEREST = "pinterest://user/jobthai/"
let URL_PINTEREST = "https://www.pinterest.com/jobthai/"

let URL_GOOGLE_PLUS = "https://plus.google.com/+jobthai"
let URL_JOBTHAI = "http://www.jobthai.com"
//let UUID = applicationDelegate.getDeviceUUID()//NSUUID().UUIDString
let IOS_VERSION = UIDevice.currentDevice().systemVersion
let DEVICE_NAME = UIDevice.currentDevice().modelName
let PLATFORM = "iOS"
let SERVICE_VERSION = "3.0.0"

let JTM_MAIN_MENU_WIDTH:CGFloat =  260.0

// Version

let dictionary = NSBundle.mainBundle().infoDictionary!
let version = (dictionary["CFBundleShortVersionString"] as? String)!

//Notification
let NOTI_DID_ADD_FAVORITE_JOB = "didAddFavoriteJob"

public extension UIDevice {
    
    var modelName: String {
        var systemInfo = utsname()
        uname(&systemInfo)
        let machineMirror = Mirror(reflecting: systemInfo.machine)
        let identifier = machineMirror.children.reduce("") { identifier, element in
            guard let value = element.value as? Int8 where value != 0 else { return identifier }
            return identifier + String(UnicodeScalar(UInt8(value)))
        }
        
        return identifier
        
//        switch identifier {
//        case "iPod5,1":                                 return "iPod Touch 5"
//        case "iPod7,1":                                 return "iPod Touch 6"
//        case "iPhone3,1", "iPhone3,2", "iPhone3,3":     return "iPhone 4"
//        case "iPhone4,1":                               return "iPhone 4s"
//        case "iPhone5,1", "iPhone5,2":                  return "iPhone 5"
//        case "iPhone5,3", "iPhone5,4":                  return "iPhone 5c"
//        case "iPhone6,1", "iPhone6,2":                  return "iPhone 5s"
//        case "iPhone7,2":                               return "iPhone 6"
//        case "iPhone7,1":                               return "iPhone 6 Plus"
//        case "iPhone8,1":                               return "iPhone 6s"
//        case "iPhone8,2":                               return "iPhone 6s Plus"
//        case "iPad2,1", "iPad2,2", "iPad2,3", "iPad2,4":return "iPad 2"
//        case "iPad3,1", "iPad3,2", "iPad3,3":           return "iPad 3"
//        case "iPad3,4", "iPad3,5", "iPad3,6":           return "iPad 4"
//        case "iPad4,1", "iPad4,2", "iPad4,3":           return "iPad Air"
//        case "iPad5,3", "iPad5,4":                      return "iPad Air 2"
//        case "iPad2,5", "iPad2,6", "iPad2,7":           return "iPad Mini"
//        case "iPad4,4", "iPad4,5", "iPad4,6":           return "iPad Mini 2"
//        case "iPad4,7", "iPad4,8", "iPad4,9":           return "iPad Mini 3"
//        case "iPad5,1", "iPad5,2":                      return "iPad Mini 4"
//        case "iPad6,7", "iPad6,8":                      return "iPad Pro"
//        case "AppleTV5,3":                              return "Apple TV"
//        case "i386", "x86_64":                          return "Simulator"
//        default:                                        return identifier
//        }
    }
    
}

//Device Type
public enum DeviceType : String {
    case iPodTouch5     = "iPod Touch 5"
    case iPodTouch6     = "iPod Touch 6"
    case iPhone4        = "iPhone 4"
    case iPhone4s       = "iPhone 4s"
    case iphone5        = "iPhone 5"
    case iphone5c       = "iPhone 5c"
    case iphone5s       = "iPhone 5s"
    case iPhone6        = "iPhone 6"
    case iPhone6Plus    = "iPhone 6 Plus"
    case iPhone6s       = "iPhone 6s"
    case iPhone6sPlus   = "iPhone 6s Plus"
    case iPad2          = "iPad 2"
    case iPad3          = "iPad 3"
    case iPad4          = "iPad 4"
    case iPadAir        = "iPad Air"
    case iPadAir2       = "iPad Air 2"
    case iPadMini       = "iPad Mini"
    case iPadMini2      = "iPad Mini 2"
    case iPadMini3      = "iPad Mini 3"
    case iPadMini4      = "iPad Mini 4"
    case iPadPro        = "iPad Pro"
    case AppleTv        = "Apple TV"
    case Simulator      = "Simulator"
}

//Notice Key 
let JTM_NOTICE_READ_KEY = "NoticeRead"
let JTM_NOTICE_NEW_COUNT_KEY = "NoticeNewRead"

public enum appLanguage : Int {
    case THAI
    case ENGLISH
}

public enum ModeJobType : Int {
    case NONE = -1
    case BUSINESS
    case CATEGORY
    case LOCATION
    case INDUSTRIAL
    case BUSROUTE
    case TRANSPORTATION
    case COMPANIES
    case OVERSEAS
}

public enum typeBrowseJob : Int {
    case HOME = -1
    case FIRST_LEVEL
    case SECOND_LEVEL
    case TRANSPORTATION
    case BUSROUTE
    case COMPANIES
    case SEARCH_RESULT
}

public enum settingSection : Int {
    case LANGUAGE_SETTING
    case ACCOUNT_SETTING
}

//public enum SearchFilterType : Int {
//    case QUICK_SEARCH
//    case JOB_NEAR_ME
//    case TRANSPORTATIONS
//    case INDUSTRIAL
//}

public enum SearchFilterCategoryType : Int {
    case CATEGORY
    case LOCATION
    case TRANSPORTATION
    case INDUSTRIALESTATE
}

public enum JobDetailCellType : Int {
    case HEADER_CELL
    case TEXT_CELL
    case IMAGE_CELL
    case MAP_CELL
    case TEXT_DETECT_CELL
    case LIST_IMAGE_CELL
    case HOW_TO_APPLY_CELL
}

public enum IndexJobDetailPage : Int {
    case JOB_INFO_PAGE
    case COMPANY_DETAIL_PAGE
    case ALL_POSITION_PAGE
    case WEBVIEW
}

public enum SearchResultPageIndex : Int {
    case GRID_VIEW
    case LIST_VIEW
    case MAP_VIEW
}

public enum LogInRedirectType : Int {
    case BACK_TO_HOME
    case DISMISS_CONTROLLER
    case DISMISS_CONTROLLER_NO_ANIMATED
    case AUTO_LOGIN
    case STAY_IN_CONTROLLER
}

public enum ResumeStatusType : Int {
    case VERIFIED
    case NOT_VERIFIED
}


public enum ActionForgotPassword : Int {
    case FOCUS
    case BACK_HOME
    case BACK_VIEW_CONTROLLER
}

public enum mapCalloutType : Int {
    case CALLOUT_TYPE_JOBLIST
    case CALLOUT_TYPE_ADDRESS
}

public enum ServiceResponseStatus : Int {
    case CONNECTION_SUCCESS
    case CONNECTION_FAIL
    case CONNECTION_UNREACHABLE
}

//Search Result Constant
let LOADMORE_CELL_HEIGHT: CGFloat = 44
let RELOAD_DISTANCE: CGFloat = LOADMORE_CELL_HEIGHT/2

//Manage Map Tile Source
let MAP_TILE_SOURCE_URL_KEY     = "MAP_TILE_SOURCE_URL_KEY"
let MAP_TILE_RANGE_START        = "MAP_TILE_RANGE_START"
let MAP_TILE_RANGE_STOP         = "MAP_TILE_RANGE_STOP"

public enum MaintenanceType : Int {
    case MODE_MAINTENE
    case MODE_UPDATE_FORCE
    case MODE_UPDATE_NORMAL
    case MODE_NORMAL
    case MODE_NO_INTERNET
    case MODE_CONNECTION_FAIL
}

//MAP CELL Data
let MAP_CELL_ANNOTATION_INFO             = "MAP_CELL_ANNOTATION_INFO"
let MAP_CELL_ANNOTATION_COMPANY_NAME     = "MAP_CELL_ANNOTATION_COMPANY_NAME"
let MAP_CELL_ANNOTATION_IS_HAS_DRAWN_MAP = "MAP_CELL_ANNOTATION_IS_HAS_DRAWN_MAP"
let OBSERVER_RELOAD_MAP_CELL             = "OBSERVER_RELOAD_MAP_CELL"


//Device Display Size 
public enum DisplaySizeType : Int {
    case SCREEN_3_5_INCH
    case SCREEN_4_0_INCH
    case SCREEN_4_7_INCH
    case SCREEN_5_5_INCH
    case SCREEN_UNKNOWN
}
