//
//  BrowseJobsHomeModel.swift
//  JobThai
//
//  Created by weerapon on 1/14/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import Foundation

class BrowseJobsHomeModel {
    var countAllPosition : Int?
    var regions = [BrowseJobHomeRegionsModel]()
    var specialRegions = [BrowseJobHomeRegionsModel]()
    var countCareers : Int?
    var carrers = [BrowseJobHomeCarrersModel]()
    
    init(item : NSMutableDictionary) {
        convertJsonToModel(item)
    }
    
    func convertJsonToModel(itemBrowseJobs : NSMutableDictionary){
        self.countAllPosition = itemBrowseJobs.objectForKey("countAllPositions") as? Int
        let regionsArray = itemBrowseJobs.objectForKey("regions")
        self.countCareers = itemBrowseJobs.objectForKey("countcareers") as? Int
        let careersArray = itemBrowseJobs.objectForKey("careers")
        
        for itemRegions in regionsArray as! NSArray {
            
            let itemObjectRegions = BrowseJobHomeRegionsModel(item: itemRegions as! NSMutableDictionary)
            if (itemObjectRegions.code == "9998"
                || itemObjectRegions.code == "9999"
                || itemObjectRegions.code == "INDUSTRIAL") {
                specialRegions.append(itemObjectRegions)
            } else {
                regions.append(itemObjectRegions)
            }
        }
        for itemCareers in careersArray as! NSArray {
            let careersItem = BrowseJobHomeCarrersModel(item: itemCareers as! NSMutableDictionary)
            carrers.append(careersItem)
        }
    }
}