//
//  JTMConstraint.swift
//  JobThai
//
//  Created by tayathorn on 8/5/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import Foundation

class JTMConstraint : NSLayoutConstraint {
    
    override init() {
        super.init()
    }
    
    @IBInspectable var iPhone35Size:CGFloat = 0 {
        didSet {
            if screenType == DisplaySizeType.SCREEN_3_5_INCH {
                overrideConstraintSize(iPhone35Size)
            }
        }
    }
    
    @IBInspectable var iPhone4Size:CGFloat = 0 {
        didSet {
            if screenType == DisplaySizeType.SCREEN_4_0_INCH {
                overrideConstraintSize(iPhone4Size)
            }
        }
    }
    
    @IBInspectable var iPhone47Size:CGFloat = 0 {
        didSet {
            if screenType == DisplaySizeType.SCREEN_4_7_INCH {
                overrideConstraintSize(iPhone47Size)
            }
        }
    }
    
    @IBInspectable var iPhone55Size:CGFloat = 0 {
        didSet {
            if screenType == DisplaySizeType.SCREEN_5_5_INCH {
                overrideConstraintSize(iPhone55Size)
            }
        }
    }
    
    @IBInspectable var DefaultSize:CGFloat = 0 {
        didSet {
            if screenType == DisplaySizeType.SCREEN_UNKNOWN {
                overrideConstraintSize(DefaultSize)
            }
        }
    }
    
    func overrideConstraintSize(constraintSize:CGFloat){
        self.constant = constraintSize
    }
    
}