//
//  JTMContentNativeExpressCollectionViewCell.swift
//  JobThai
//
//  Created by pizhayut on 7/12/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import UIKit
import GoogleMobileAds

class JTMContentNativeExpressCollectionViewCell: UICollectionViewCell {
    
    
//    @IBOutlet weak var contentNativeExpress: GADNativeExpressAdView!
    @IBOutlet weak var closeAdsButton: UIButton!
    @IBOutlet weak var bottomBorderView: UIView!
    @IBOutlet weak var topBorderView: UIView!
    @IBOutlet weak var topBorderHeightConstraint: NSLayoutConstraint!
    @IBOutlet weak var bottomBorderHeightConstraint: NSLayoutConstraint!
    
    let SELECTED_BODER_WIDTH: CGFloat = 2.5
    let BORDER_WIDTH: CGFloat = JTM_CELL_BORDER_HEIGHT//2
    let BORDER_COLOR: UIColor = JTM_CELL_SEPERATOR_COLOR
    var searchResultController : JTMSearchResultViewController!
    var delegate : JTMContentNativeExpressCollectionViewCellDelegate?
//    
//    @IBAction func clickCloseAdsButton(sender: AnyObject) {
//        print("closed ads button click")
//        //delegate?.closeAds()
//        //searchResultController.ADS_SHOW = false
//    }
//
    
    @IBAction func onClickCloseAds(sender: AnyObject) {
        print("==== Close Banner Button Click ====")
        delegate?.closeAds()
    }
    
    func setCloseAdsButton() {
        closeAdsButton.setTitle(applicationDelegate.getLocalizeStringForKey("REMOVE_ADS"), forState: UIControlState.Normal)
    }

    //    func setData(controller: UIViewController) {
//        print("Google Mobile Ads SDK version: " + GADRequest.sdkVersion())
//        let request = GADRequest()
//        
//        // ADS SETTING LIST
//        if ADS_SIMULATION {
//            request.testDevices = [ kGADSimulatorID ];
//        }
//        contentNativeExpress.adUnitID = "ca-app-pub-3273527279427175/4689205369"
//        contentNativeExpress.rootViewController = controller
//        contentNativeExpress.loadRequest(request)
//    }

    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
        
        self.setCellBorder()
        //self.setSelectedBackgroundView()
        self.setCloseAdsButton()
        
    }
    
//    func setCellBorder() {
//        self.layer.borderWidth = BORDER_WIDTH
//        self.layer.borderColor = JTM_SELECTED_CELL_BORDER_COLOR.CGColor
//    }
    //MARK:- Set Border
    func setCellBorder() {
        
        // Top border
        self.topBorderView.backgroundColor = BORDER_COLOR//JTM_BROWSEJOB_HOME_BG_COLOR
        self.topBorderHeightConstraint.constant = BORDER_WIDTH
        
        // Bottom border
        self.bottomBorderView.backgroundColor = BORDER_COLOR//JTM_BROWSEJOB_HOME_BG_COLOR
        self.bottomBorderHeightConstraint.constant = BORDER_WIDTH
    }
    
    func updateBorderForCell(index: Int) {
        self.topBorderHeightConstraint.constant = (index == 0) ? BORDER_WIDTH : 0
    }
    
//    func setSelectedBackgroundView() {
//        let backgroundView = UIView(frame: self.frame)
//        backgroundView.backgroundColor = UIColor.clearColor()
//        backgroundView.layer.borderWidth = SELECTED_BODER_WIDTH
//        backgroundView.layer.borderColor = JTM_SELECTED_CELL_BORDER_COLOR.CGColor
//        
//        self.selectedBackgroundView = backgroundView
//    }
    

}

protocol JTMContentNativeExpressCollectionViewCellDelegate {
    func closeAds()
}