//
//  JTMMainMenuTableViewCell.swift
//  JobThai
//
//  Created by ForAlL on 1/12/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import UIKit

class JTMMainMenuTableViewCell: UITableViewCell {
    
    @IBOutlet weak var iconImageView: UIImageView!
    @IBOutlet weak var nameLabel: JTMLabel!
    
    override func awakeFromNib() {
        super.awakeFromNib()
        self.backgroundColor = JTM_MENU_BG_COLOR
        setSelectedBackground()
    }

    func setSelectedBackground() {
        let view = UIView(frame: self.bounds)
        view.backgroundColor = JTM_MENU_HIGHLIGHT_COLOR
        self.selectedBackgroundView = view
    }

    func setCellData(title: String, imageName: String) {
        self.nameLabel.text = title
        self.iconImageView.image = UIImage(named: imageName)
    }
}
