//
//  JobDetailPinInfoModel.swift
//  JobThai
//
//  Created by kanya on 6/7/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import Foundation

class JobDetailPinInfoModel {
    var latitude : Double?
    var longitude : Double?
    var callOutInfo : String?
    
    init(pinInfoString : String) {
        let pinInfoList = seperateInfoToCoordinateAndLabel(pinInfoString)
        let pinCoordinateList = getCoordinateFromCoordinateString(pinInfoList[0])
        
        self.latitude = pinCoordinateList[0]
        self.longitude = pinCoordinateList[1]
        self.callOutInfo = pinInfoList[1]
    }
    
    func seperateInfoToCoordinateAndLabel(pinInfoString : String) -> [String] {
        let pinInfoList = pinInfoString.componentsSeparatedByString(" :CALLOUT_LABEL: ")
        return pinInfoList
    }
    
    func getCoordinateFromCoordinateString(coordinateString : String) -> [Double] {
        let coordinate = coordinateString.componentsSeparatedByString(" , ")
        var doubleCoordinate = [Double]()
        for axis in coordinate {
            doubleCoordinate.append(Double(axis)!)
        }
        return doubleCoordinate
    }
}