//
//  JobItem.swift
//  JobThai
//
//  Created by weerapon on 2/17/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import UIKit
import Alamofire

class JobItem {
    var runningNumber : Int?
    var jobTitle : String?
    var jobDescription : String?
    var numberOfPosition : String?
    var dateText : String?
    var salary : String?
    var provice : String?
    var provinceCode : String?
    var contryCode : String?
    var national : String?
    var latitude : Double?
    var longitude : Double?
    var jobType : String?
    var jobTypeCode : String?
    var subJobType : String?
    var subJobTypeCode : String?
    var jobLink : String?
    var pinId : Int?
    var companyCode : String?
    var companyName : String?
    var companyLogo : NSURL?
    var companyFeature : NSURL?
    var isResumeFavorite : Bool?
    var isResumeApplyable : Bool?
    var errorMessageApply : String?
    
    init(item : NSMutableDictionary){
        self.runningNumber = item.objectForKey("runningNumber") as? Int
        self.jobTitle = item.objectForKey("jobTitle") as? String
        self.jobDescription = item.objectForKey("jobDescription") as? String
        self.numberOfPosition = item.objectForKey("numberOfPosition") as? String
        self.salary = item.objectForKey("salary") as? String
        self.dateText = item.objectForKey("date") as? String
        self.provice = item.objectForKey("province") as? String
        self.provinceCode = item.objectForKey("provinceCode") as? String
        self.contryCode = item.objectForKey("countryCode") as? String
        self.national = item.objectForKey("national") as? String
        self.latitude = item.objectForKey("latitude") as? Double
        self.longitude = item.objectForKey("longitude") as? Double
        self.jobType = item.objectForKey("jobType") as? String
        self.jobTypeCode = item.objectForKey("jobTypeCode") as? String
        self.subJobType = item.objectForKey("subJobType") as? String
        self.subJobTypeCode = item.objectForKey("subJobTypeCode") as? String
        self.jobLink = item.objectForKey("jobLink") as? String
        self.pinId = item.objectForKey("pinID") as? Int
        self.companyCode = item.objectForKey("companyCode") as? String
        self.companyName = item.objectForKey("companyName") as? String
        self.companyLogo =  (item.objectForKey("companyLogo") as! String == "") ? nil : NSURL(string: (item.objectForKey("companyLogo") as? String)!)
        self.companyFeature = (item.objectForKey("companyFeatureImages") as! String == "") ? nil : NSURL(string: (item.objectForKey("companyFeatureImages") as? String)!)
        self.isResumeFavorite = item.objectForKey("isResumeFavorite") as? Bool
        self.isResumeApplyable = item.objectForKey("isResumeApplyable") as? Bool
        self.errorMessageApply = item.objectForKey("errMsgApplyJob") as? String
    }
    
    init( item : JobItem){
        self.runningNumber = item.runningNumber
        self.jobTitle = item.jobTitle
        self.jobDescription = item.jobDescription
        self.numberOfPosition = item.numberOfPosition
        self.salary = item.salary
        self.dateText = item.dateText
        self.provice = item.provice
        self.provinceCode = item.provinceCode
        self.latitude = item.latitude
        self.longitude = item.longitude
        self.jobType = item.jobType
        self.jobTypeCode = item.jobTypeCode
        self.subJobType = item.subJobType
        self.subJobTypeCode = item.subJobTypeCode
        self.jobLink = item.jobLink
        self.pinId = item.pinId
        self.companyCode = item.companyCode
        self.companyName = item.companyName
        self.companyLogo =  item.companyLogo
        self.companyFeature = item.companyFeature
        self.isResumeFavorite = item.isResumeFavorite
        self.isResumeApplyable = item.isResumeApplyable
        self.errorMessageApply = item.errorMessageApply
    }
}