//
//  Utils.swift
//  JobThai
//
//  Created by weerapon on 6/27/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import Foundation

public class Utils {
    
    static public func getKeyString(name name: String) -> String {
        let bundle = NSBundle(forClass: Utils.self)
        let pubPath = bundle.pathForResource(name, ofType: "key")!
        return (try! NSString(contentsOfFile: pubPath, encoding: NSUTF8StringEncoding)) as String
    }
    
}

extension UIScrollView {
    func isScrollUp(scrollView: UIScrollView) -> Bool {
        let verticalVelocity = scrollView.panGestureRecognizer.velocityInView(scrollView).y
        return verticalVelocity > 0
    }
}