//
//  AppConstantService.swift
//  JobThai
//
//  Created by weerapon on 1/25/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import Foundation

let AUTH_CODE = "Basic SldjVDVoN0pFcWM0dEYxRkE5cW1yd3B0NUx4THN0UnFnZDRlbTU3djpENWxzSjZ4M3ptVXBMWjRuYjFiTlVzSFptcmw3REN3SGM4ZmhSTlR1"
let URL_END_POINT = "http://dev2-mobileservice.jobthai.com/"

//MARK:- Search Parameter
let PARAMETER_JOB_TYPE_KEY = "jobtype"
let PARAMETER_SUB_JOB_TYPE_KEY = "subtype"
let PARAMETER_BUSINESS_KEY = "businesstype"
let PARAMETER_INDUSTRIAL_KEY = "industrial"
let PARAMETER_LOCATION_KEY = "location"
let PARAMETER_MAIN_TRANSPORTATION_KEY = "mt_maintype"
let PARAMETER_SUB_TRANSPORTATION_KEY = "mt_subtype"
let PARAMETER_BUS_ROUTE_KEY = "busroute"
let PARAMETER_RADIUS_KEY = "mt_radius"
let PARAMETER_NEAR_ME_RADIUS = "radius"
let PARAMETER_KEYWORD_KEY = "keyword"
let PARAMETER_DISABLED_WELCOME_KEY = "disabled_person"
let PARAMETER_LATITUDE_KEY = "lat"
let PARAMETER_LONGITUDE_KEY = "long"

let DEFAULT_PARAMETER = "All"
let DEFAULT_PARAMETER_OVERSEAS = "9999"
let DEFAULT_PARAMETER_BUS_ROUTE_MAIN_TYPE = "6"
let DEFAULT_PARAMETER_RADIUS = "500"

let APP_STORE_URL_STRING = "itms-apps://itunes.apple.com/app/bars/id378979188"

func getServiceAppHome() -> String {
    return URL_END_POINT + "apphome"
}

func getServiceAuthentication() -> String {
    
    return URL_END_POINT + "resume/oauth"
}

func getServiceAutoLogIn() -> String {
    return URL_END_POINT + "resume/autologin"
}

func getServiceLogOutAuthentication() -> String {
    return URL_END_POINT + "resume/logout"
}

// Service BrowseJobs
func getServiceBrowseJobMain() -> String {
    return URL_END_POINT + "browsejobs/mainpage"
}

func getServiceFirstLevel(jobType : ModeJobType) -> String {
    switch (jobType) {
        case .BUSINESS :
            return "\(URL_END_POINT)browsejobs/business"
        case .CATEGORY :
            return "\(URL_END_POINT)browsejobs/jobcategories"
        case .LOCATION :
            return "\(URL_END_POINT)browsejobs/locations"
        default :
            return "\(URL_END_POINT)browsejobs/industrialestates"
    }
}

func getServiceBusRoute() -> String {
    return URL_END_POINT + "browsejobs/busroute"
}

func getServiceTransportation() -> String {
    return "\(URL_END_POINT)browsejobs/masstransit"
}

func getServiceCompanies() -> String {
    return URL_END_POINT + "browsejobs/companies"
}

// Service Setting
func getServiceNotice() -> String{
    return URL_END_POINT + "setting/listnotice"
}

func getServiceOurProduct() -> String {
    return URL_END_POINT + "setting/ourproduct"
}

// Service BrowseJobs
func getServiceSearchResult(param : String) -> String {
    return URL_END_POINT + "search/joblist" + param
}

func getServiceSearchResult() -> String {
    return URL_END_POINT + "search/joblist" 
}

// Service Favorite
func getServiceFavoriteJob() -> String {
    return URL_END_POINT + "resume/favorite"
}
//Need to remove
//func getServiceFavoriteJob(param:String) -> String {
//    return URL_END_POINT + "resume/favorite" + param
//}

func getServiveSearchFilter(filterType: SearchFilterCategoryType) -> String {
    switch (filterType) {
        case SearchFilterCategoryType.CATEGORY :
            return "\(URL_END_POINT)search/listjobcategories"
        case SearchFilterCategoryType.LOCATION :
            return "\(URL_END_POINT)search/listlocations"
        case SearchFilterCategoryType.TRANSPORTATION :
            return "\(URL_END_POINT)search/listtransportations"
        case SearchFilterCategoryType.INDUSTRIALESTATE :
            return "\(URL_END_POINT)search/listindustrials"
    }
}

func getServiceSearchSuggesttion() -> String {
    return "\(URL_END_POINT)search/listsuggestions"
}

// Service AppliedJob
func getServiceAppliedJob() -> String {
    return URL_END_POINT + "resume/appliedjobs"
}

// Service JobDetail
func getServiceJobDetail(companyCode : String) -> String {
    return "\(URL_END_POINT)detail/company?comcode=" + companyCode
}

// Service Apply Now
func getServiceApplyNow() -> String {
    return URL_END_POINT + "resume/applyjob"
}

// Service Change Email
func getServiceChangeEmail() -> String {
    return URL_END_POINT + "resume/changeemail"
}

// Service Change Password
func getServiceChangePassword() -> String {
    return URL_END_POINT + "resume/changepass"
}

// Service Change Register
func getServiceRegister() -> String {
    return URL_END_POINT + "resume/register"
}



// Service Viewed By Company
func getServiceViewedByCompany() -> String {
    return URL_END_POINT + "resume/profileviewed"
}

// Service Forgot Password
func getServiceForgotPassword() -> String {
    return URL_END_POINT + "resume/forgotpassword"
}

// Service Preloads
func getServicePreload() -> String {
    return URL_END_POINT + "preload"
}

// Service Manage Map Tile Source
func getServiceMapTileSource() -> String {
    return URL_END_POINT + "search/tilemap"
}

//Token Timeout
func getServiceCheckTokenTimeOut() -> String {
    return URL_END_POINT + "resume/checktoken"
}

// Service Maintenance
func getServiceMaintenance() -> String {
    return URL_END_POINT + "maintenance"// + "?type=" + "update"
}


//MARK:- Error Code
let EMAIL_ALREADY_IN_SYSTEM = "email_is_already"
let EMAIL_NOT_VERIFIED_OLD_USER = "old_user_not_verify"
let INVALID_EMAIL_DOMAIN_EXAMPLE = "email_invalid_format_example"
let INVALID_EMAIL_DOMAIN_JOBTHAI = "email_invalid_format_jobthai"
let INCORRECT_PASSWORD = "password_incorrect"