//
//  BrowseJobMainPageModel.swift
//  JobThai
//
//  Created by weerapon on 1/19/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import Foundation

class BrowseJobMainPageModel {
    
    var countAllPosition : Int?
    var countAllOccupalation : Int?
    var countAllBusinessType : Int?
    var lastUpdateTh : String?
    var lastUpdateEn : String?
    var modeJobsList : [BrowseJobModeModel]?
    var careersList : [BrowseJobCareerJobModel]?
    
    init(resultDict : NSMutableDictionary){
        self.countAllPosition = resultDict.objectForKey("countAllPositionsInt") as? Int
        self.countAllOccupalation = resultDict.objectForKey("countAllOccupationsint") as? Int
        self.countAllBusinessType = resultDict.objectForKey("countAllBusinesstypeint") as? Int
        self.lastUpdateEn = resultDict.objectForKey("lastupdate_en") as? String
        self.lastUpdateTh = resultDict.objectForKey("lastupdate_th") as? String
        createListModeJob(resultDict)
        createListCareersJob(resultDict)
    }
    
    func createListModeJob(resultDict : NSMutableDictionary) {
        modeJobsList = [BrowseJobModeModel]()
        let modeJobsDict = resultDict.objectForKey("modeJobs") as? NSArray
        
        for itemModeJob in modeJobsDict! {
            let modeJobObject = BrowseJobModeModel(itemModeJob: itemModeJob as! NSMutableDictionary)
            modeJobsList?.append(modeJobObject)
        }
    }

    func createListCareersJob(resultDict : NSMutableDictionary) {
        careersList = [BrowseJobCareerJobModel]()
        let careersArray = resultDict.objectForKey("careers") as? NSArray
        
        for itemCareer in careersArray! {
            let careerObject = BrowseJobCareerJobModel(itemCareer: itemCareer as! NSMutableDictionary)
            careersList?.append(careerObject)
        }
    }
}