//
//  JTMContactUsViewCell.swift
//  JobThai
//
//  Created by weerapon on 2/9/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import UIKit

class JTMContactUsViewCell: UITableViewCell {
    
    @IBOutlet weak var iconCell : UIImageView?
    @IBOutlet weak var titleCell : JTMLabel?
    
    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
        if self.respondsToSelector(Selector("setSeparatorInset:")) {
            self.separatorInset = UIEdgeInsetsZero
        }
        if self.respondsToSelector(Selector("setLayoutMargins:")) {
            self.layoutMargins = UIEdgeInsetsZero
        }
        if self.respondsToSelector(Selector("setPreservesSuperviewLayoutMargins:")) {
            self.preservesSuperviewLayoutMargins = false
        }
    }
    
    func setDataCell(title : String, pathIcon : String) {
        self.titleCell?.text = title
        self.iconCell?.image = UIImage(named: pathIcon)
        
        self.titleCell?.textColor = UIColor.blackColor()
    }
    
}
