//
//  JTMSearchKeyWordTableViewCell.swift
//  JobThai
//
//  Created by ForAlL on 2/17/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import UIKit

class JTMSearchKeyWordTableViewCell: UITableViewCell {
    
    @IBOutlet weak var titleSearchKeyWord: JTMLabel?
    @IBOutlet weak var editSearchKeyWord: JTMTextField?
    
    
    
    override func awakeFromNib() {
        super.awakeFromNib()
        self.setEdgeToLeft()
        
        titleSearchKeyWord!.text = applicationDelegate.getLocalizeStringForKey("TITLE_SEARCH_KEYWORD")
        editSearchKeyWord?.placeholder = applicationDelegate.getLocalizeStringForKey("HINT_SEARCH_KEYWORD")
    }

    override func setSelected(selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    
    func setKeywordToEditText(keyword: String) {
        editSearchKeyWord?.text = keyword

    }
    
    @IBAction func onClickSearchKeyWord() {
        
    }

}
