//
//  JTMVersionViewController.swift
//  JobThai
//
//  Created by weerapon on 2/5/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import UIKit

class JTMVersionViewController: JTMBaseViewController {
    
    @IBOutlet weak var textVersionTop : JTMLabel?
    @IBOutlet weak var textVersionMiddle : JTMLabel?
    @IBOutlet weak var textVersionReserve : JTMLabel?
    
    override func viewDidLoad() {
        super.viewDidLoad()
        initUI()
    }
    
    override func viewWillAppear(animated: Bool) {
        super.viewWillAppear(animated)
        
        // Track Google Analytic
        applicationDelegate.trackGoogleAnalyticScreen(SCREEN_VERSION)
    }
    
    func initUI() {
        self.title = applicationDelegate.getLocalizeStringForKey("ABOUT_US_TITLE")
        self.textVersionTop?.text = applicationDelegate.getLocalizeStringForKey("ABOUT_US_VERSION_JOBTHAI")
        self.textVersionMiddle?.text = applicationDelegate.getLocalizeStringForKey("ABOUT_US_VERSION_TEXT_NUMBER") + " \(version)"
        self.textVersionReserve?.text = applicationDelegate.getLocalizeStringForKey("ABOUT_US_VERSION_TEXT_RESERVE")
    }
    
}
