//
//  LandingPageModel.swift
//  JobThai
//
//  Created by weerapon on 1/14/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import Foundation

class LandingPageModel {
    
    var landingPageId : Int?
    var companyCode : String?
    var companyName : String?
    var jobCode : Int?
    var imageUrl : String?
    var linkUrl : String?
    var type : IndexJobDetailPage?
    
    init(item : NSMutableDictionary){
        convertJsonToModel(item)
    }
    
    func convertJsonToModel(landingItem : NSMutableDictionary) {
        self.landingPageId = landingItem.objectForKey("landingPageId") as? Int
        self.companyName = landingItem.objectForKey("companyName") as? String
        self.companyCode = landingItem.objectForKey("companyCode") as? String
        self.jobCode = landingItem.objectForKey("jobCode") as? Int
        self.imageUrl = landingItem.objectForKey("imageUrl") as? String
        self.imageUrl = JTMServiceController.addPercentEncodingToUrl(self.imageUrl!)
        self.linkUrl = landingItem.objectForKey("linkUrl") as? String
        guard let rawType = landingItem.objectForKey("type") as? Int else { return }
        self.type = IndexJobDetailPage(rawValue: rawType)
    }
}