//
//  AllPositionModel.swift
//  JobThai
//
//  Created by weerapon on 3/15/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import Foundation

class PositionModel {
    
    var runningNumber : Int?
    var salary : String?
    var date : String?
    var numberOfPosition  : String?
    var jobTitle : String?
    var jobDescription : String?
    var workLocation : String?
    var attribute : String?
    var contactName : String?
    var contactTel : String?
    var contactAddress : String?
    var longitude : Double?
    var latitude : Double?
    var proxyEmail : String?
    var isForDisabled : Bool?
    var textForDisadled : String?
    var isShowSalary : Bool?
    var amphoeName : String?
    var tambonName : String?
    var provinceName : String?
    var countryCode : String?
    var national : String?
    var travelToThisCompany : String?
    var specialContact : String?
    var isFavorite : Bool?
    var isApplyable : Bool?
    var errMsgApplyJob : String?
    var jobLink : String?
    var applyButtonDisabledStatus : Bool?
    var jobInfo = [JobInfoModel]()
    
    init(allPositionJsonObject : NSMutableDictionary) {
        self.runningNumber = allPositionJsonObject.objectForKey("runningNumber") as? Int
        self.salary = allPositionJsonObject.objectForKey("salary") as? String
        self.date = allPositionJsonObject.objectForKey("date") as? String
        self.numberOfPosition = allPositionJsonObject.objectForKey("numberOfPosition") as? String
        self.jobTitle = allPositionJsonObject.objectForKey("jobTitle") as? String
        self.jobDescription = allPositionJsonObject.objectForKey("jobDescription") as? String
        self.workLocation = allPositionJsonObject.objectForKey("workLocation") as? String
        self.attribute = allPositionJsonObject.objectForKey("attribute") as? String
        self.contactName = allPositionJsonObject.objectForKey("contactName") as? String
        self.contactTel = allPositionJsonObject.objectForKey("contactTel") as? String
        self.contactAddress = allPositionJsonObject.objectForKey("contactAddress") as? String
        self.longitude = allPositionJsonObject.objectForKey("longitude") as? Double
        self.latitude = allPositionJsonObject.objectForKey("latitude") as? Double
        self.proxyEmail = allPositionJsonObject.objectForKey("proxyEmail") as? String
        self.isShowSalary = allPositionJsonObject.objectForKey("isShowSalary") as? Bool
        self.amphoeName = allPositionJsonObject.objectForKey("amphoeName") as? String
        self.tambonName = allPositionJsonObject.objectForKey("tambonName") as? String
        self.provinceName = allPositionJsonObject.objectForKey("provinceName") as? String
        self.countryCode = allPositionJsonObject.objectForKey("countryCode") as? String
        self.national = allPositionJsonObject.objectForKey("national") as? String
        self.travelToThisCompany = allPositionJsonObject.objectForKey("travelToThisCompany") as? String
        self.specialContact = allPositionJsonObject.objectForKey("specialContact") as? String
        self.isFavorite = allPositionJsonObject.objectForKey("isFavorite") as? Bool
        self.isApplyable = allPositionJsonObject.objectForKey("isApplyable") as? Bool
        self.errMsgApplyJob = allPositionJsonObject.objectForKey("errMsgApplyJob") as? String
        self.isForDisabled = allPositionJsonObject.objectForKey("isForDisabled") as? Bool
        self.textForDisadled = allPositionJsonObject.objectForKey("textForDisable") as? String
        self.jobLink = allPositionJsonObject.objectForKey("jobLink") as? String
        self.applyButtonDisabledStatus = allPositionJsonObject.objectForKey("applyButtonDisabledStatus") as? Bool
        
        let arrayJobInfo = allPositionJsonObject.objectForKey("jobInfo") as? NSArray
        for itemInfo in arrayJobInfo! {
            let itemJobInfo = JobInfoModel(itemInfo: itemInfo as! NSMutableDictionary)
            if (itemJobInfo.isHasData!) {
                self.jobInfo.append(itemJobInfo)
            }
        }
    }
}