//
//  ResumeJobItem.swift
//  JobThai
//
//  Created by tayathorn on 5/16/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import UIKit

class ResumeJobItem {
    var jobTitle : String?
    var companyName : String?
    var companyLogo : NSURL?
    var date : String?
    var salary : String?
    var province : String?
    var onlineStatus : String?
    var countryCode : String?
    var national : String?
    var companyCode : String?
    var jobCode : Int?
    
    init(item : NSMutableDictionary) {
        self.jobCode = item.objectForKey("runningNumber") as? Int
        self.jobTitle = item.objectForKey("jobTitle") as? String
        self.salary = item.objectForKey("salary") as? String
        self.date = item.objectForKey("date") as? String
        self.province = item.objectForKey("province") as? String
        self.countryCode = item.objectForKey("countryCode") as? String
        self.national = item.objectForKey("national") as? String
        self.companyCode = item.objectForKey("companyCode") as? String
        self.companyName = item.objectForKey("companyName") as? String
        self.companyLogo = (item.objectForKey("companyLogo") as! String == "") ? nil : NSURL(string: (item.objectForKey("companyLogo") as? String)!)
        self.onlineStatus = item.objectForKey("onlineStatus") as? String
    }
    
    init(item : ResumeJobItem) {
        self.jobCode = item.jobCode
        self.jobTitle = item.jobTitle
        self.salary = item.salary
        self.date = item.date
        self.province = item.province
        self.countryCode = item.countryCode
        self.national = item.national
        self.companyCode = item.companyCode
        self.companyName = item.companyName
        self.companyLogo = item.companyLogo
        self.onlineStatus = item.onlineStatus
    }
}
