//
//  SearchFilterCategory.swift
//  JobThai
//
//  Created by ForAlL on 2/19/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import UIKit

class SearchFilterCategory {

    var code: String?
    var name: String?
    var hasSub: Bool?
    var selected : Bool = false
    var subCategoryList = [SearchFilterSubCategory]()
    var type: String?
    var isBusRoute : Bool = false
    
    init(item : NSMutableDictionary) {
        convertJsonToModel(item)
    }
    
    func convertJsonToModel(itemCategory : NSMutableDictionary) {
        self.code = itemCategory.objectForKey("code") as? String
        self.name = itemCategory.objectForKey("name") as? String
        self.hasSub = itemCategory.objectForKey("hasSub") as? Bool
        if let busRoute = itemCategory.objectForKey("isBusRoute") as? Bool {
            self.isBusRoute = busRoute
        }
        let subList = itemCategory.objectForKey("subList") as? NSArray
        for item in subList! {
           let ob = SearchFilterSubCategory(item: item as! NSMutableDictionary)
            subCategoryList.append(ob)
        }
        
        if let type = itemCategory.objectForKey("type") as? String {
            self.type = type
        } else {
            self.type = ""
        }
    }
}
