//
//  SearchResultModel.swift
//  JobThai
//
//  Created by weerapon on 2/17/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import Foundation

class SearchResultModel {
    var jobList = [JobItem]()
    var countAllJob : Int?
    var countJob : Int?
    var countPage : Int?
    var canViewMap : Bool?
    //var showAds : Bool?
    var perPage : Int?
    var countPin : Int?
    var countAllPin : Int?
    var isHasResultMap : Bool?
    var listPositionAds : Int?
    var gridPositionAds : Int?
    
    init(result : NSMutableDictionary) {
        let jobListResult = result.objectForKey("jobList") as? NSArray
//        self.jobList = [JobItem]()
        for itemJob in jobListResult! {
            let item = JobItem(item: itemJob as! NSMutableDictionary)
            jobList.append(item)
        }
        self.countAllJob = result.objectForKey("countAllJobs") as? Int
        self.countJob = result.objectForKey("countJobs") as? Int
        self.countPage = result.objectForKey("countPage") as? Int
        self.canViewMap = result.objectForKey("canViewMap") as? Bool
        //self.showAds = result.objectForKey("isShowAds") as? Bool == false ? false : true
        self.perPage = result.objectForKey("perPage") as? Int
        self.countAllPin = result.objectForKey("countAllPins") as? Int
        self.countPin = result.objectForKey("countPins") as? Int
        self.isHasResultMap = result.objectForKey("isHasResultMap") as? Bool
        self.listPositionAds = result.objectForKey("listPositionAds") as? Int
        self.gridPositionAds = result.objectForKey("gridPositionAds") as? Int
    }
}