//
//  SecoundLevelModel.swift
//  JobThai
//
//  Created by Isaret Selachun on 20/1/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import UIKit

class SecoundLevelModel {
    var code : String?
    var name : String?
    var countPosition : Int?
    var imageUrl : String?
    
    init(item : NSMutableDictionary){
        convertJsonToModel(item)
    }
    
    func convertJsonToModel(item : NSMutableDictionary){
        self.code = item.objectForKey("code") as? String
        self.name = item.objectForKey("name") as? String
        self.countPosition = item.objectForKey("countPosition") as? Int
        self.imageUrl = (item.objectForKey("imageUrl") as? String != nil) ? item.objectForKey("imageUrl") as? String : ""
        self.imageUrl = JTMServiceController.addPercentEncodingToUrl(imageUrl!)
    }
    
}
