//
//  UserModel.swift
//  JobThai
//
//  Created by weerapon on 1/29/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import Foundation

class UserModel {
    
    var resumeCode : Int?
    var userName : String?
    var firstName : String?
    var lastName : String?
    var token : String?
    var resumeStatus : ResumeStatusType?
    var profilePic : String?
    var isBan : Bool?
    var isWatch : Bool?
    //var showAds : Bool?
    var warningTitle : String?
    var warningMessage : String?
    var sessionId : String?
    
    init(userObjectJson : NSMutableDictionary) {
        self.firstName = userObjectJson.objectForKey("firstName") as? String
        self.lastName = userObjectJson.objectForKey("lastName") as? String
        self.userName = userObjectJson.valueForKey("username")  as? String
        self.profilePic = userObjectJson.objectForKey("resumeProfilePic") as? String
        self.resumeCode = userObjectJson.objectForKey("resumeCode") as? Int
        self.token = userObjectJson.objectForKey("token") as? String
        self.resumeStatus = Int((userObjectJson.objectForKey("resumeStatus") as? String)!) == 1 ? .VERIFIED : .NOT_VERIFIED
        self.isBan = (userObjectJson.objectForKey("isBan") as? String)! == "Y" ? true : false
        self.isWatch = (userObjectJson.objectForKey("isWatch") as? String)! == "Y" ? true : false
        //self.showAds = userObjectJson.objectForKey("isCloseAds") as? Bool == true ? false : true
        self.warningTitle = userObjectJson.objectForKey("titleMissInterView") as? String
        self.warningMessage = userObjectJson.objectForKey("msgMissInterView") as? String
        self.sessionId = userObjectJson.objectForKey("sessionId") as? String
    }
}