//
//  JTMSearchResultMapTest.swift
//  JobThai
//
//  Created by pizhayut on 7/8/16.
//  Copyright © 2016 THiNKNET. All rights reserved.
//

import XCTest

class JTMSearchResultMapTest: XCTestCase {
        
    let SLEEP_FOR_UI_UPDATE : UInt32 = 3
    let SLEEP_FOR_LOADING_SERVICE : UInt32 = 8
    let WAIT_TIME_OUT : NSTimeInterval = 20
    let LONG_PRESS_TIME : NSTimeInterval = 1
    
    let app = XCUIApplication()
    let searchResultList = XCUIApplication().collectionViews[ID_SEARCH_RESULT_LIST_COLLECTION_VIEWS]
    let searchResultGrid = XCUIApplication().collectionViews[ID_SEARCH_RESULT_GRID_COLLECTION_VIEWS]
    
    override func setUp() {
        super.setUp()
        continueAfterFailure = false
        XCUIApplication().launch()
        XCUIApplication().buttons["ID_PRELOAD_ENTER_APP_BUTTON"].tap()
        
        //Go to search result
        
        //Tap search navigation bar button on nav bar
        sleep(SLEEP_FOR_UI_UPDATE)
        let navigationBar = app.navigationBars[ID_MAIN_NAVIGATION_BAR]
        let searchBarButton = navigationBar.buttons[ID_HOME_SEARCH_BUTTON]
        searchBarButton.tap()
        
        //Select 2nd search type (Near me search)
        let searchFilterTableView = app.tables[ID_SEARCH_FILTER_TYPE_TABLE_VIEWS]
        searchFilterTableView.cells.elementBoundByIndex(1).tap()
        
        //Tap search button
        sleep(SLEEP_FOR_UI_UPDATE)
        let searchFilterButton = app.buttons[ID_SEARCH_FILTER_QUICK_SEARCH_BUTTON]
        searchFilterButton.tap()
        
    }
    
    override func tearDown() {
        super.tearDown()
    }
    
    func testExample() {
        // Use recording to get started writing UI tests.
        // Use XCTAssert and related functions to verify your tests produce the correct results.
        
        
        // Test with hand
        
    }
    
}
